Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.arjuna.wst.messaging
Class ParticipantCompletionCoordinatorProcessorImpl

    java.lang.Object
      com.arjuna.webservices.wsba.processors.ParticipantCompletionCoordinatorProcessor
          com.arjuna.wst.messaging.ParticipantCompletionCoordinatorProcessorImpl

public class ParticipantCompletionCoordinatorProcessorImpl
extends com.arjuna.webservices.wsba.processors.ParticipantCompletionCoordinatorProcessor

The Participant Completion Coordinator processor.

Author:
  kevin

Constructor Summary
`ParticipantCompletionCoordinatorProcessorImpl()`

Method Summary
`void` | `activateCoordinator(com.arjuna.webservices.wsba.ParticipantCompletionCoordinatorInboundEvents coordinator, java.lang.String identifier)` Activate the coordinator.
`void` | `cancelled(com.arjuna.webservices.wsba.NotificationType cancelled, com.arjuna.webservices.wsaddr.AddressingContext addressingContext, com.arjuna.webservices.wsarj.ArjunaContext arjunaContext)` Cancelled.
`void` | `closed(com.arjuna.webservices.wsba.NotificationType closed, com.arjuna.webservices.wsaddr.AddressingContext addressingContext, com.arjuna.webservices.wsarj.ArjunaContext arjunaContext)` Closed.
`void` | `compensated(com.arjuna.webservices.wsba.NotificationType compensated, com.arjuna.webservices.wsaddr.AddressingContext addressingContext, com.arjuna.webservices.wsarj.ArjunaContext arjunaContext)` Compensated.
`void` | `completed(com.arjuna.webservices.wsba.NotificationType completed, com.arjuna.webservices.wsaddr.AddressingContext addressingContext, com.arjuna.webservices.wsarj.ArjunaContext arjunaContext)` Completed.
`void` | `deactivateCoordinator(com.arjuna.webservices.wsba.ParticipantCompletionCoordinatorInboundEvents coordinator)` Deactivate the coordinator.
`void` | `exit(com.arjuna.webservices.wsba.NotificationType exit, com.arjuna.webservices.wsaddr.AddressingContext addressingContext, com.arjuna.webservices.wsarj.ArjunaContext arjunaContext)` Exit.
`void` | `fault(com.arjuna.webservices.wsba.ExceptionType fault, com.arjuna.webservices.wsaddr.AddressingContext addressingContext, com.arjuna.webservices.wsarj.ArjunaContext arjunaContext)` Fault.
`void` | `getStatus(com.arjuna.webservices.wsba.NotificationType getStatus, com.arjuna.webservices.wsaddr.AddressingContext addressingContext, com.arjuna.webservices.wsarj.ArjunaContext arjunaContext)` Get Status.
`void` | `soapFault(com.arjuna.webservices.SoapFault soapFault, com.arjuna.webservices.wsaddr.AddressingContext addressingContext, com.arjuna.webservices.wsarj.ArjunaContext arjunaContext)` SOAP fault.
`void` | `status(com.arjuna.webservices.wsba.StatusType status, com.arjuna.webservices.wsaddr.AddressingContext addressingContext, com.arjuna.webservices.wsarj.ArjunaContext arjunaContext)` Status.

Methods inherited from class com.arjuna.webservices.wsba.processors.ParticipantCompletionCoordinatorProcessor
`getProcessor, setProcessor`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ParticipantCompletionCoordinatorProcessorImpl

    public ParticipantCompletionCoordinatorProcessorImpl()

Method Detail

### activateCoordinator

    public void activateCoordinator(com.arjuna.webservices.wsba.ParticipantCompletionCoordinatorInboundEvents coordinator,
                                    java.lang.String identifier)

  Activate the coordinator.

  Parameters:
    `coordinator` - The coordinator.
    `identifier` - The identifier.

### deactivateCoordinator

    public void deactivateCoordinator(com.arjuna.webservices.wsba.ParticipantCompletionCoordinatorInboundEvents coordinator)

  Deactivate the coordinator.

  Parameters:
    `coordinator` - The coordinator.

### cancelled

    public void cancelled(com.arjuna.webservices.wsba.NotificationType cancelled,
                          com.arjuna.webservices.wsaddr.AddressingContext addressingContext,
                          com.arjuna.webservices.wsarj.ArjunaContext arjunaContext)

  Cancelled.

  Parameters:
    `cancelled` - The cancelled notification.
    `addressingContext` - The addressing context.
    `arjunaContext` - The arjuna context.

### closed

    public void closed(com.arjuna.webservices.wsba.NotificationType closed,
                       com.arjuna.webservices.wsaddr.AddressingContext addressingContext,
                       com.arjuna.webservices.wsarj.ArjunaContext arjunaContext)

  Closed.

  Parameters:
    `closed` - The closed notification.
    `addressingContext` - The addressing context.
    `arjunaContext` - The arjuna context.

### compensated

    public void compensated(com.arjuna.webservices.wsba.NotificationType compensated,
                            com.arjuna.webservices.wsaddr.AddressingContext addressingContext,
                            com.arjuna.webservices.wsarj.ArjunaContext arjunaContext)

  Compensated.

  Parameters:
    `compensated` - The compensated notification.
    `addressingContext` - The addressing context.
    `arjunaContext` - The arjuna context.

### completed

    public void completed(com.arjuna.webservices.wsba.NotificationType completed,
                          com.arjuna.webservices.wsaddr.AddressingContext addressingContext,
                          com.arjuna.webservices.wsarj.ArjunaContext arjunaContext)

  Completed.

  Parameters:
    `completed` - The completed notification.
    `addressingContext` - The addressing context.
    `arjunaContext` - The arjuna context.

### exit

    public void exit(com.arjuna.webservices.wsba.NotificationType exit,
                     com.arjuna.webservices.wsaddr.AddressingContext addressingContext,
                     com.arjuna.webservices.wsarj.ArjunaContext arjunaContext)

  Exit.

  Parameters:
    `exit` - The exit notification.
    `addressingContext` - The addressing context.
    `arjunaContext` - The arjuna context.

### fault

    public void fault(com.arjuna.webservices.wsba.ExceptionType fault,
                      com.arjuna.webservices.wsaddr.AddressingContext addressingContext,
                      com.arjuna.webservices.wsarj.ArjunaContext arjunaContext)

  Fault.

  Parameters:
    `fault` - The fault notification.
    `addressingContext` - The addressing context.
    `arjunaContext` - The arjuna context.

### getStatus

    public void getStatus(com.arjuna.webservices.wsba.NotificationType getStatus,
                          com.arjuna.webservices.wsaddr.AddressingContext addressingContext,
                          com.arjuna.webservices.wsarj.ArjunaContext arjunaContext)

  Get Status.

  Parameters:
    `getStatus` - The get status notification.
    `addressingContext` - The addressing context.
    `arjunaContext` - The arjuna context.

### status

    public void status(com.arjuna.webservices.wsba.StatusType status,
                       com.arjuna.webservices.wsaddr.AddressingContext addressingContext,
                       com.arjuna.webservices.wsarj.ArjunaContext arjunaContext)

  Status.

  Parameters:
    `status` - The status.
    `addressingContext` - The addressing context.
    `arjunaContext` - The arjuna context.

### soapFault

    public void soapFault(com.arjuna.webservices.SoapFault soapFault,
                          com.arjuna.webservices.wsaddr.AddressingContext addressingContext,
                          com.arjuna.webservices.wsarj.ArjunaContext arjunaContext)

  SOAP fault.

  Parameters:
    `soapFault` - The SOAP fault.
    `addressingContext` - The addressing context.
    `arjunaContext` - The arjuna context.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD